%define shortname	gdamm
%define origname	libgdamm

%define api		5.0
%define major		13
%define lib_name 	%mklibname %{shortname} %{api} %{major}
%define develname	%mklibname gdamm %{api} -d

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:           %{origname}%{api}
Summary:        C++ wrappers for libgda
Version:        4.99.6
Release:	%mkrel 2
Group: 		System/Libraries
License:	LGPLv2+
URL:            http://www.gtkmm.org/
Source0:        http://download.gnome.org/sources/%{origname}/%{url_ver}/%{origname}-%{version}.tar.xz
BuildRequires:	pkgconfig(glibmm-2.4) >= 2.27.93
BuildRequires:	pkgconfig(libgda-5.0) >= 5.0.2

%description
C++ wrappers for libgda. libgdamm is part of a set of powerful
C++ bindings for the GNOME libraries, which provide additional
functionality above GTK+/gtkmm.

%package -n     %{lib_name}
Summary:        Main library for gdamm
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{lib_name}
C++ wrappers for libgda. libgdamm is part of a set of powerful
C++ bindings for the GNOME libraries, which provide additional
functionality above GTK+/gtkmm.

%package -n     %{develname}
Summary:        Headers for developing programs that will use gda
Group:          Development/GNOME and GTK+
Requires:       %{lib_name} = %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains headers and libraries that programmers will need
to develop applications which use libgdamm.

%prep
%setup -q -n %{origname}-%{version}

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%files -n %{lib_name}
%doc AUTHORS ChangeLog NEWS
%{_libdir}/lib*-%{api}.so.%{major}*

%files -n %{develname}
%doc %_datadir/doc/libgdamm-%api
%doc %_datadir/devhelp/books/libgdamm-%api
%{_includedir}/libgdamm-%api
%{_libdir}/*.so
%{_libdir}/libgdamm-%api
%{_libdir}/pkgconfig/*.pc


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 4.99.6-2.mga3
+ Revision: 357165
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 30 2011 fwang <fwang> 4.99.6-1.mga2
+ Revision: 174321
- new version 4.99.6

* Tue Nov 08 2011 wally <wally> 4.99.5-1.mga2
+ Revision: 165584
- new version 4.99.5

* Sun Oct 09 2011 fwang <fwang> 4.99.4.1-1.mga2
+ Revision: 153520
- new version 4.99.4.1

* Sat Sep 24 2011 fwang <fwang> 4.99.4-1.mga2
+ Revision: 147276
- imported package libgdamm5.0

